const headerLangData = {
    zh: {
        nav: {
            home: "首页",
            business: "主营业务",
            products: "产品案例",
            support: "技术支持",
            future: "展望未来",
            about: "关于我们"
        },
        btn: "English",
        logo: "../imgs/svg/logo.svg"
    },
    en: {
        nav: {
            home: "Home",
            business: "Business",
            products: "Products",
            support: "Support",
            future: "Future",
            about: "About Us"
        },
        btn: "简体中文",
        logo: "../imgs/svg/logo_en.svg"
    }
};

let currentLang = localStorage.getItem('siteLang') || "zh";

const handleHeaderLangToggle = () => {
    currentLang = currentLang === "zh" ? "en" : "zh";
    localStorage.setItem('siteLang', currentLang);
    setHeaderLang(currentLang);
};

function setHeaderLang(lang) {
    const data = headerLangData[lang];
    document.getElementById("nav-home").textContent = data.nav.home;
    document.getElementById("nav-business").textContent = data.nav.business;
    document.getElementById("nav-products").textContent = data.nav.products;
    document.getElementById("nav-support").textContent = data.nav.support;
    document.getElementById("nav-future").textContent = data.nav.future;
    document.getElementById("nav-about").textContent = data.nav.about;
    document.getElementById("lang-toggle").textContent = data.btn;
    document.getElementById("logo-img").src = data.logo;
}

document.addEventListener('DOMContentLoaded', () => {
    document.getElementById("lang-toggle").addEventListener("click", handleHeaderLangToggle);
    document.getElementById("lang-toggle").addEventListener("keydown", e => {
        if (e.key === "Enter" || e.key === " ") handleHeaderLangToggle();
    });
    // 页面加载时自动切换到上次选择的语言
    setHeaderLang(currentLang);
});